blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
a43b0181645692f3341856b250f5184953279b24 | Shell | solo-yolo/glowroot-benchmark | /docker-entrypoint.sh | UTF-8 | 514 | 2.734375 | 3 | [] | no_license | #!/bin/bash
set -e
if [[ $@ ]]; then
exec "$@"
fi
: ${JVM_ARGS:=-Xmx1g -Xms1g}
if [[ -n $GLOWROOT_DIST_ZIP ]]; then
rm -rf glowroot
unzip $GLOWROOT_DIST_ZIP
fi
echo '{"transactions":{"captureThreadStats":false}}' > glowroot/config.json
java $HARNESS_JVM_ARGS -jar benchmarks.jar $JMH_ARGS -rf json -prof gc \
... | true |
96491eeaab50ed408e9679b1bda833451230f569 | Shell | maxzo/TP1-SO-2012 | /eje2.sh | UTF-8 | 271 | 3.109375 | 3 | [] | no_license | #!/bin/bash
echo "Bienvenido, usuario: $(whoami)"
echo "Usted se ha conectado el día: $(date +"%d/%m/%Y")"
echo "A la hora: $(date +"%T")"
echo "En la terminal: $(tty)"
echo "Se encuentran conectados en este momento, los siguientes usuarios:"
who | awk '{ print $1 }'
| true |
eeb747c265ea507b00d751691ed376a64f07b223 | Shell | mequ/Hack | /sshgateway.sh | UTF-8 | 601 | 3.109375 | 3 | [] | no_license | #!/bin/bash
USER="root"
LPORT="6522"
GATEWAY="217.218.62.250"
#DOMAIN="xamin.ir"
COMMAND="ssh -fN -L $LPORT:$1:22 root@$GATEWAY"
echo "Connect to Gate way $GATEWAY"
ssh -fN -L $LPORT:$1:22 root@$GATEWAY
if [ $? -eq 0 ]; then
echo "CONNECTION ESTABLISHED."
else
echo "CAN NOT CONNECT TO GATEWAY"
exit
fi... | true |
a92ae0dd66292c8bc406d95ba41b5c5b95f92acc | Shell | eagafonov/supermake | /tools/superm.sh | UTF-8 | 183 | 2.84375 | 3 | [
"MIT"
] | permissive | #!/bin/sh
set -x
set -u
set -e
echo $@
SUPERMAKE_HOME=$(readlink -f $(dirname $(readlink -f $0))/..)
make -f ${SUPERMAKE_HOME}/tools/Makefile SUPERMAKE_HOME=${SUPERMAKE_HOME} $@
| true |
dfcafd7c4c4c1f869ef8c229ad7c5cd47c251b61 | Shell | Donaschmi/LINGI2142-2019-2020 | /scripts/template/_topo.mako | UTF-8 | 938 | 3.15625 | 3 | [] | no_license | #!/bin/bash
# Group number
GROUPNUMBER=8
# Node configs
CONFIGDIR=frrouting_cfg
# boot script name
BOOT="boot"
# startup script name
STARTUP="start"
PREFIXBASE="fde4:8"
PREFIXLEN=32
# You can reuse the above two to generate ip addresses/routes, ...
# This function describes the network topology that we want to emulat... | true |
b723f097a2b6b71af6e24564f71f571a8da28fde | Shell | adi06/cloudpi | /src/main/resources/shell_scripts/list_data.sh | UTF-8 | 486 | 3.3125 | 3 | [] | no_license | #!/bin/bash
bucket_name=s3-cloudpi
list_keys=(`aws s3api list-objects --bucket ${bucket_name} --query 'Contents[].{Key: Key}' --output text`)
#get objects
if [ ${#list_keys[@]} -ne 0 ]; then
for key in "${list_keys[@]}"
do
if [ "$key" != "None" ]; then
aws s3api get-object --bucket $... | true |
a610dd0b0066a280fbdb5d900647450905e23122 | Shell | YagamiShadow/sectest | /setup_docker.sh | UTF-8 | 738 | 3.6875 | 4 | [] | no_license | #!/bin/bash
if [ "$EUID" -eq 0 ]; then
echo >&2 "[WARNING] You should not run this script as root if you want to setup a sudoless docker installation"
fi
echo "[INFO ] Installing docker..."
sudo apt install docker-compose -y || { echo >&2 "[ERROR] Failed to install docker-compose"; exit 1; }
echo "[INFO ] Creating do... | true |
89f189c82fbdd5d4dde17601c0f983396a886646 | Shell | zakkudo/polymer-3-starter-project | /scripts/demo.sh | UTF-8 | 235 | 2.625 | 3 | [] | no_license | #!/bin/bash
set -e
PROJECT_DIR=$(git rev-parse --show-toplevel)
BIN_DIR=$(npm bin)
STORYBOOK="$BIN_DIR/start-storybook"
echo '{}' > $PROJECT_DIR/.jest-test-results.json
$STORYBOOK -p 6006 -c $PROJECT_DIR/.demo -s $PROJECT_DIR "$@"
| true |
2a075a845b0db9fcb17c9cdc4968d1ac0ec16087 | Shell | kula/one-offs | /yubi-env/yubi-env.sh | UTF-8 | 143 | 2.53125 | 3 | [] | no_license | # Put this in your .bashrc
# Assumes you have gopass installed
yubi-env() {
eval $(gopass "$1" | awk '/^_export/ {print "export", $2}')
}
| true |
29cea5776640ceb9f7f6829abdfa2a338814faee | Shell | ChairsDaily/pyiface | /deploy.sh | UTF-8 | 346 | 2.5625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash -e
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
version=$(python -c 'import pyiface; pyiface.version()')
echo "Deploying version $version"
# git related commands
git tag -s -m "Version $version" v$version
python2 setup.py sdist
git add .
git commit -a
git push origin master # only push master bra... | true |
dd9ce179ad0072aca7698680eaf2bf0a9f0b6e1f | Shell | OpenMandrivaAssociation/jflex | /create-tarball.sh | UTF-8 | 421 | 3.40625 | 3 | [] | no_license | #!/bin/bash
if [ $# -ne 1 ]; then
echo "Usage: ./create-tarball.sh VERSION"
exit 1
fi
VERSION=${1}
NAME="jflex"
wget http://jflex.de/${NAME}-${VERSION}.tar.gz
tar xvf ${NAME}-${VERSION}.tar.gz
(
cd ${NAME}-${VERSION}
find . -name "*.jar" -delete
rm -Rf src/main/java/java_cup/ examples/
)
tar czvf ${N... | true |
03d5254e6b373f3ada867543413bc032f458c26d | Shell | AdamSLevy/pkgbuilds | /telegraf/PKGBUILD | UTF-8 | 1,952 | 2.53125 | 3 | [] | no_license | # Maintainer: Nicolas Leclercq <nicolas.private@gmail.com>
# Maintainer: Adam S Levy <adam@aslevy.com>
pkgname='telegraf'
pkgver='1.9.0'
pkgrel='1'
pkgdesc='Server-level metric gathering agent for InfluxDB'
arch=('i686' 'x86_64' 'armv6h' 'armv7h')
url='https://github.com/InfluxData/telegraf'
license=('MIT')
makedepend... | true |
2ac84c9bcd75f5dca6462c934fafff08b7578e08 | Shell | cotyembry/AddingUsersUnix | /modifyUsers.sh | UTF-8 | 4,382 | 3.375 | 3 | [] | no_license | #!/usr/local/bin/bash
#/bin/bash
#Author: John Coty Embry
# Date: 11-10-2016
#Dependencies:
# 3 files: /home/faculty/mkt/unix_admin/cs_roster.txt
# /home/faculty/mkt/unix_admin/active_cs.txt,
# /etc/passwd
# input: /home/faculty/mkt/unix_admin/active_cs.txt
#output: ./modified_users.txt
#-------
#Name C... | true |
c95822d426ef344222abb31b2f0a96246f64b1ec | Shell | CSUNetSec/proddle | /docs/scripts/auto-yogi-alexa.sh | UTF-8 | 942 | 3.6875 | 4 | [] | no_license | #!/bin/bash
if [ $# -ne 1 ]; then
echo "Usage: $0 USERNAME PASSWORD COUNT"
exit 1
fi
USERNAME=$1
PASSWORD=$2
SSL_CA_CERT="/etc/ssl/mongodb/cacert.pem"
SSL_CERT="/etc/ssl/mongodb/proddle.crt"
SSL_KEY="/etc/ssl/mongodb/proddle.key"
MONGO_HOST="mongo1.netsec.colostate.edu"
TMP_DIR="/tmp"
#download alexa top 1 m... | true |
f653357573129284d14bcaa70f240990c5849bb5 | Shell | imifarago/laravel-docker | /Docker/purge.sh | UTF-8 | 176 | 2.984375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -a
[ -f .env ] && . .env
set +a
if [ -z $PROJECT_SLUG ]; then
echo ".env PROJECT_SLUG is empty!"
exit 1;
fi
docker-compose -p $PROJECT_SLUG down --volumes | true |
0f92397e3710906cf61c00adac45ac04d37a564b | Shell | harishj1729/Database-system-implementation | /sqlite/create.sh | UTF-8 | 277 | 2.515625 | 3 | [] | no_license | #!/bin/bash
#Source: http://www.cs.toronto.edu/~ryanjohn/teaching/cscc43-s11/sqlite+tpc-h+windows-v03.pdf
tblDir=../data/1G
cp ${tblDir}/*.tbl .
for f in *.tbl; do sed --in-place= -e 's/|$//' $f; done
for f in *.tbl; do sqlite3 tpch.db ".import $f $(basename $f .tbl)"; done
| true |
3cd0c8a04eb36b1578bc5c861ab6f25c40138f73 | Shell | clementsoullard/rest-scheduler-ws | /src/scripts/control-proxy.sh | UTF-8 | 499 | 3.09375 | 3 | [] | no_license | #!/bin/bash
WORKFOLDER=/home/clement/scheduler/work
FILEDENY=$WORKFOLDER/denyproxy
FILEALLOW=$WORKFOLDER/allowproxy
if [ -f $FILEDENY ]; then
echo "Deny"
cp /etc/tinyproxy.conf.deny /etc/tinyproxy.conf
rm -f $FILEDENY
NEEDRESTART=true
fi
if [ -f $FILEALLOW ]; then
echo "Allow"
cp /etc/tiny... | true |
0f4d2f8f2aea067ab1289c03941143ac9f2ffaa1 | Shell | EthrosDemon/safereboot | /safereboot | UTF-8 | 380 | 3.703125 | 4 | [] | no_license | #!/bin/bash
##
# safereboot protects you
# from shutting down the wrong
# server while working remotely
##
MNAME=`hostname`
REBOOT=`which reboot`
echo -e "safereboot: you try to reboot machine \033[1m$MNAME\033[0m, continue by writing this hostname!"
read -p "$ " HOST
if [ "$MNAME" == "$HOST" ]
then
$REBOOT $@
el... | true |
84273c357f5d0e246bba604929a1d728c8bfd406 | Shell | yuju-huang/CS6410_project | /benchmark/tensorflow_cifar10/run_multiple_times.sh | UTF-8 | 141 | 3.0625 | 3 | [] | no_license | #!/bin/bash
TIMES=$1
if [ -z $1 ]; then
echo "arg1 as times"
exit
fi
for ((i = 0 ; i < $1 ; i++)); do
python3 cifar10.py
done
| true |
cf96f916115b97f718e013168d7199adbeb27417 | Shell | RJVB/macstrop | /_obsolete,upstreamed_/qt5-kde-devel/files/devResources/create-min-tree.sh | UTF-8 | 949 | 3.765625 | 4 | [
"LicenseRef-scancode-public-domain"
] | permissive | #!/usr/bin/env bash
# create a minimal ports tree containing for port:qt5-kde*
if [ $# -lt 1 -o -f "$1" ] ;then
echo "Usage: $0 <target directory>"
exit -1
fi
ECHO="echo"
case $1 in
/*)
DEST="$1"
;;
*)
DEST="`pwd`/$1"
;;
esac
# chdir to the port directory
cd `dirname ... | true |
e847c5a47a9f6ccf3b9a85b33e11e481e61328bc | Shell | zygolife/Apophysomyces_genomes | /Phylogeny/phylo/fast_run.sh | UTF-8 | 584 | 2.828125 | 3 | [
"MIT"
] | permissive | #!/usr/bin/bash
#SBATCH --nodes 1 --ntasks 32 --mem 24gb --time 8:00:00 -p intel --out fasttree_run.%A.log
module load fasttree/2.1.11
module unload perl
module load miniconda3
NUM=$(wc -l ../prefix.tab | awk '{print $1}')
source ../config.txt
ALN=../$PREFIX.${NUM}_taxa.JGI_1086.aa.fasaln
TREE1=$PREFIX.${NUM}_taxa.JGI... | true |
cbcab8a03d0c5a55a4e5cfe4a0d9946ee4ace33d | Shell | archivaldo/virustotal_checker | /checkvirustotal.sh | UTF-8 | 342 | 2.53125 | 3 | [] | no_license | #!/bin/bash
#
# VirusTotal API public key limits:
# 4 requests/minute
# 5760 requests/day
# 178560 requests/month
#
for file in /x64/*.dll
do
/root/.pyenv/shims/python /root/checkvirustotal.py -f "$file" -c -n
sleep 45
done
for file in /x86/*.dll
do
/root/.pyenv/shims/python /root/checkvirustotal.py -f "$file" ... | true |
621e4a6385d9047d0a6efe598ab0c1f05c61f03e | Shell | wayming/pg | /dbsetup.sh | UTF-8 | 454 | 2.703125 | 3 | [] | no_license | #!/bin/bash
# Run as postgres
set -x
dbusr=test
dbpwd=test
dbname=testdb
/usr/pgsql-13/bin/pg_ctl start -D /var/lib/pgsql/13/data
psql <<END
CREATE USER $dbusr WITH PASSWORD '$dbpwd' CREATEROLE CREATEDB REPLICATION BYPASSRLS;
CREATE DATABASE $dbname OWNER=$dbusr
END
psql postgres://$dbusr:$dbpwd@localhost/testdb -c ... | true |
9cbf6d02e2ec7e8c1529717b52085164ab687800 | Shell | johnjreiser/thermorbios953w | /wview-patches/wview-5.5.0-patch/wview-5.5.0-mods/wviewconfig/wviewconfig.sh | UTF-8 | 10,336 | 3.828125 | 4 | [] | no_license | ################################################################################
#
# File: wviewconfig.sh
#
# Description: Provide a script to interactively configure a wview
# installation.
#
# Usage: (must be root)
# wviewconfig
# wviewconfig get
... | true |
5378bb04f8b9ccec5d4e21fd4c245c9bba62e152 | Shell | aa3313322122/AutoInstall | /mysql_install.sh | UTF-8 | 1,148 | 3.3125 | 3 | [] | no_license | mysql_package="mysql-5.6.28-linux-glibc2.5-x86_64.tar.gz"
mysql_name="mysql-5.6.28-linux-glibc2.5-x86_64"
mysql_package_num=`rpm -qa|grep -i mysql |wc -l`
if [ ${mysql_package_num} -ge 1 ];then
rpm -ev `rpm -qa|grep -i mysql` --nodeps
fi
rm -rf `find / -name mysql`
rm -rf /usr/local/mysql*
ps -ef|grep mysql|grep -Ev "... | true |
38d5d2a4154ac83fbdf23653aa02dfdbb8b87f70 | Shell | KCP-quarantine-area/apps | /toxcore/PKGBUILD | UTF-8 | 707 | 2.515625 | 3 | [] | no_license |
pkgname=toxcore
pkgver=0.0.0.1
_commit=532629d486e3361c7d8d95b38293cc7d61dc4ee5
pkgrel=2
pkgdesc='Easy to use, all-in-one communication platform that ensures full privacy and secure message delivery.'
arch=('x86_64')
url='https://tox.chat'
license=('GPL3')
depends=('systemd' 'libconfig' 'libsodium' 'libvpx' 'opus')
ma... | true |
a03c98d9f20cc0128f5a6e9581b6bb0a42bfbcb6 | Shell | liuzongqing/munin | /mysql/mysql_lock.sh | UTF-8 | 966 | 3.421875 | 3 | [] | no_license | #!/bin/bash
#create by zongqing
#Innodb_row_lock_time unit: milliseconds Des:The total time spent in acquiring row locks, in milliseconds. Added in MySQL 5.0.3.
#Innodb_row_lock_waits unit: times Des:The number of times a row lock had to be waited for. Added in MySQL 5.0.3.
if [[ $1 == "autoconf" ]]; then
echo y... | true |
7e40ca0cffeef29ca1198b4693875f3c471dda1b | Shell | medbsq/my_scripts | /tache_vps | UTF-8 | 945 | 2.59375 | 3 | [] | no_license | #!/bin/bash
function nucl(){
filename="$(echo "$1" | sha256sum |awk '{print $1}')"
echo $1 |nuclei -t ~/nuclei-templates/ -exclude ~/nuclei-templates/subdomain-takeover/ -exclude ~/nuclei-templates/technologies/ -exclude ~/nuclei-templates/misc/missing-hsts.yaml -exclude ~/nuclei-templates/misc/missing-x-... | true |
06ce25df87c927d3434767bb27036a6fea005bcd | Shell | CharJay/stadmin | /stadmin-shell/dev/bat_uploadwar.sh | UTF-8 | 306 | 2.859375 | 3 | [] | no_license | #!/bin/sh
echo "!!!! Start shell "
source ./allconfig.cfg
for host in ${hostjq_keyin[*]}
do
echo "=====开始上传${warName}至内网服务器:${host}"
ssh tomcat@${cmdhost_keyout} "scp /usr/webser/springboot/${warName} ${user}@${host}:/usr/webser/springboot/"
echo "${host}上传成功"
done
| true |
cde8c5256039f5c93fd0df5935aa395c21f3c99f | Shell | shilpaye/GitPt | /shellscripting | UTF-8 | 127 | 3.28125 | 3 | [] | no_license | #!/bin/bash
# My first script
a=10
b=20
if [ $a == $b ]
then
echo "a is equal to b"
else
echo "a is not equal to b"
fi
| true |
b2a24f4baadbdcda98131c9aaff878f3b7c96148 | Shell | RaInta/CoherentDirectedDAG | /Scripts/InstallPerl.sh | UTF-8 | 1,493 | 3.171875 | 3 | [] | no_license | #!/bin/bash
# local perl home
HERE=$(pwd -P)
############################################################
##### Uncomment below if you need perl 5.10.1 ###########
############################################################
## install perl 5.10.1
#if [ ! -x $HERE/perl-5.10.1 ]; then
# wget http://www.cpan.org... | true |
d1c7a959dd27e6ecb6ac89b826abeff70788ab55 | Shell | ARO-user/work-share | /GMRT/link_8node.sh | UTF-8 | 236 | 2.90625 | 3 | [] | no_license | #!/bin/bash
DISK1=$1
DISK2=$2
STEM1=/mnt/$DISK1/gsbuser/EoR
STEM2=/mnt/$DISK2/gsbuser/EoR
FILE=$3
for node in node{111..118}
do
ssh -n $node "for num in {0..16}; do ln -s $STEM1/$FILE.node\$num $STEM2/$FILE.node\$num; done"
done | true |
c43d36c59d6d5b574ee1410768615e26d65d0ea1 | Shell | WillLennon/BYOS | /vmss/Scripts/Linux/3/test.sh | UTF-8 | 260 | 2.90625 | 3 | [] | no_license | #!/bin/bash
# We require 3 inputs: $1 is url, $2 is pool, $3 is PAT
# 4th input is option $4 is either '--once' or null
url=$1
pool=$2
pat=$3
runArgs=$4
echo $runArgs
# schedule the build agent to run immediately
/bin/bash ./runagent.sh $runArgs
echo done
| true |
8f8ea3e31587e3758324f7c059f5b2e806902060 | Shell | dorin-ionita/PerforAD | /thomas_scripts/wave1d.sh | UTF-8 | 1,195 | 2.703125 | 3 | [
"MIT"
] | permissive | #!/bin/bash -l
# Batch script to run an OpenMP threaded job on Legion with the upgraded
# software stack under SGE.
# 1. Force bash as the executing shell.
#$ -S /bin/bash
# 2. Request ten minutes of wallclock time (format hours:minutes:seconds).
#$ -l h_rt=6:0:0
# 3. Request 1 gigabyte of RAM for each core/thread (mus... | true |
925864c0b64fb2a0ea0b89a47285e019975a5385 | Shell | anzhihe/learning | /shell/book/笨办法学BashShell编程-基础篇/示例脚本/10-22continue-levels.sh | UTF-8 | 227 | 3.109375 | 3 | [] | no_license | #!/bin/bash
for outer in I II III IV V
do
echo; echo -n "Group $outer: "
for inner in 1 2 3 4 5 6 7 8 9 10
do
if [ "$inner" -eq 7 ]; then
continue 2
fi
echo -n "$inner "
done
done
echo; echo
exit 0
| true |
288190ecdb73d13be03b9a2dc9d52a5474e50fe3 | Shell | jayleicn/TVRetrieval | /baselines/clip_alignment_with_language/scripts/compute_upper_bound.sh | UTF-8 | 762 | 3.40625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# run at project root dir
dset_name=$1 # see case below
split_name=$2 # train/val/test, some datasets may not support all the 3 splits
result_dir="baselines/clip_alignment_with_language/results"
echo "Running with dataset ${dset_name} with split ${split_name}"
case ${dset_name} in
tvr) # onl... | true |
9e3727e53a95230b088b3fd78835a9be0549d3c2 | Shell | meain/programmingfonts-screenshots | /scripts/filterimages | UTF-8 | 428 | 3.59375 | 4 | [] | no_license | #!/bin/sh
set -e
mkdir -p bad-images
for image in images/*; do
DOMINANT_COLOR="$(convert "$image" -scale 50x50! -depth 8 +dither -colors 8 -format "%c" histogram:info: |\
sed -n 's/^[ ]*\(.*\):.*[#]\([0-9a-fA-F]*\) .*$/\1,#\2/p' | sort -r -n -k 1 -t "," | head -n1)"
if echo "$DOMINANT_COLOR" | grep -... | true |
f597bd6f044377ed5cd6c0d01bb050ad31f27fcd | Shell | chanmi168/Fall-Detection-DAT | /stage3/oldscripts0615/stage3_aggregate_results_allHP.sh | UTF-8 | 2,535 | 2.6875 | 3 | [] | no_license | #!/bin/bash
set -e
set -u
stage=3
# train a model
if [ $stage -eq 3 ]; then
echo '=================================running stage 3================================='
echo '=================================running UMAFall_UPFall_cross_config [Resample] allHP================================='
training_params_file='... | true |
01de67b56bbe3281cf64032e71252a607ae4b58a | Shell | hsadoyan/SDN_OpenFlow | /host4/setup_flood.sh | UTF-8 | 327 | 2.6875 | 3 | [] | no_license | #!/bin/sh
HOST=$1
HOSTNAME=$2
#Setup floodlight
cd host4
scp floodlight.zipa* cs4516@$HOST:~/
ssh cs4516@$HOST "cat ./floodlight.zipa* > ./floodlight.zip && unzip floodlight.zip"
scp ./CS4516.java cs4516@$HOST:~/floodlight/src/main/java/net/floodlightcontroller/cs4516/CS4516.java
ssh cs4516@$HOST "cd ~/floodlight &&... | true |
293c4205f4747e4f0cac3901a77aea0ca9e2bf5f | Shell | sadbumblebee/pizero_photo | /process_image.sh | UTF-8 | 493 | 2.78125 | 3 | [] | no_license | #!/bin/bash
rm photos/output.jpg
rm photos/output_border.jpg
dw=$(ls photos -tp | grep -v '/$' | head -n +4)
ta=$(echo $dw | awk '{ for (i=NF; i>1; i--) printf("%s ",$i); print $1; }')
(cd photos && montage $ta -tile 2x2 -border 5 -geometry +10+10 -density 300 -units PixelsPerInch output.jpg)
(cd photos && montage ou... | true |
1dbc0dd71d735730ff2227660fd74ac902ababcb | Shell | bdpiprava/learnings | /lesson-6.sh | UTF-8 | 289 | 3.015625 | 3 | [] | no_license | #!/bin/bash
read -p "Enter start:" start
read -p "Enter end:" end
for ((i=$start; i<=$end;i++)) do
for ((j=$start; j<=$i;j++)) do
echo -n "$j"
done
echo ""
done
echo ""
echo ""
for ((i=$end; i>=$start;i--)) do
for ((j=$i; j>=$start;j--)) do
echo -n "$j"
done
echo ""
done
| true |
9ec49a83f2b59f68f653cd144437680b29d925db | Shell | ChenZewei/SET-MRTS | /src/scripts/EXP1/EXP.sh | UTF-8 | 689 | 3.3125 | 3 | [] | no_license | #PROC_NUM=`cat /proc/cpuinfo | grep "processor" | wc -l`
PROC_NUM=24
ROOT=`pwd`
FOLDER="EXP"
PARAM_NUM=288
GAP=`expr $PARAM_NUM / $PROC_NUM `
rm -rf $FOLDER
if(($PARAM_NUM > `expr $GAP \* $PROC_NUM`))
then
GAP=`expr $GAP + 1`
fi
mkdir $FOLDER
for ((index=0; index < $PROC_NUM; index++))
do
cd $ROOT
mkdir "$FOLDER/s... | true |
4b82f6d57898862325f10537e8e7d1a1b028b622 | Shell | aoqingy/vCloudTerminal-Ubuntu1804 | /make-configure.sh | UTF-8 | 1,836 | 3.234375 | 3 | [] | no_license | #!/bin/bash
#Powered by Ubuntu 16.04.3 desktop
cd `dirname $0`
#apt-get install -y ssh vim cython squashfs-tools compizconfig-settings-manager
ProductName="vClassTerminal"
IsoVersion=`awk '$1~/^Version/ {print $2}' ./vfd/DEBIAN/control`
IsoName="${ProductName}-${IsoVersion}"
function Main
{
ConfigureSystem
}
fu... | true |
07e305c83670321070a1440592332dfccc5ff6ad | Shell | cucumberlinux/ports | /cucumber/base/linux-firmware/linux-firmware.buildinfo | UTF-8 | 2,227 | 3.375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Copyright 2016, 2018 Scott Court
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, p... | true |
6f2e335bedee95a5f7c5ba123abfc33bccb532c9 | Shell | ryanhossain9797/snips-nlu-rs | /.travis/test.sh | UTF-8 | 1,638 | 3.09375 | 3 | [
"MIT",
"Apache-2.0",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
set -ev
export PATH="$HOME/.cargo/bin:$PATH"
if [[ "${RUST_TESTS}" == "true" ]]; then
echo "Running rust tests..."
cargo test --all
cargo check --benches
fi
if [[ "${PYTHON_TESTS}" == "true" ]]; then
echo "Running python tests..."
cd platforms/python
pip install tox
tox
cd... | true |
228b3326b9391a7105fd2160f694bbd53501d326 | Shell | UCL-RITS/rcps-buildscripts | /perl-5.22.0_with_perlbrew_install | UTF-8 | 637 | 3.46875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
###############################################
# Installing Perl with Perlbrew
#
# by Heather Kelly, 2015
#
NAME=${NAME:-perl}
VERSION=${VERSION:-5.22.0}
PERLBREW_OPTIONS=${PERLBREW_OPTIONS:-"install --thread"}
PERL_OPTIONS=${PERL_OPTIONS:-"-Duseshrplib"}
# Details: useshrplib builds libperl.so
... | true |
b2d8be6e15733572c675dee5fa9057c98655aaf8 | Shell | brownman/do_for_others_first_old | /.CODE/RUNNERS/BANK/wrapper/0.0.1/OLD/CFG/LOOPER/loop_fallback_for_easy_life.sh | UTF-8 | 977 | 3.234375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
breaking(){
local str0=`caller`
local str="gvim +$str0"
echo "goto : $str"
proxy print_color 31 'breaking'
echo breaking
break
}
single(){
local dir_self=`dirname $0`
local input="$input"
if [ -n "$input" ];then
local file="$dir_self/wrapper.sh"
#zba... | true |
db970ed7d7f076487e5af1cb8fdf6e51641b9bfe | Shell | Jfeatherstone/i3-themes | /summer-heat/install.sh | UTF-8 | 7,904 | 3.234375 | 3 | [] | no_license | #!/bin/sh
# install.sh
# This file will move all of the theme elements to where they need to be
# Must be run as su since it adds the commands changeVolume and changeBrightness to /usr/bin
# Things that are installed in this file:
# scripts/changeBrightness -> /usr/bin/ (doesn't overwrite)
# scripts/changeVolume -> /... | true |
0ba82471e02684136d9f3d37ea8de00c1258b6f5 | Shell | sspans/ladvd | /scripts/_tarball.sh | UTF-8 | 196 | 2.671875 | 3 | [
"ISC"
] | permissive | #!/usr/bin/env bash
[ -n "${BASE}" ] || . scripts/_init.sh
# create dist tarball
autoreconf -fi
./configure
make distcheck
mv *tar.gz ${RELEASE}
# create signature
gpg -ba ${RELEASE}/*tar.gz
| true |
344d6068d597b77f70fa4f1b64932e25f4f6380a | Shell | rushweigelt/professional-Git | /AdvancedProgramming(bash, scripts, python)/Labs/lab03/testStuff/reextend.bash | UTF-8 | 263 | 2.953125 | 3 | [] | no_license | #Rush Weigelt rw643 rename files script
# version 4.3.48(1)-release (x86_64-pc-linux-gnu)
# 4/20/18
if [[ -z "$1" || -z "$2" || -n "$3" ]] ; then
echo "We are looking for EXACTLY two arguments please!"
else
for i in *$1 ; do
mv "$i" "${i/$1/$2}"
done
fi
| true |
8194a0e781a08d75d64e197d7d995e22729d2581 | Shell | RedBaron80/numbered_directories_sync | /backup.sh | UTF-8 | 808 | 3.9375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
function copy_dir {
echo "copying $1"
cp $1 $2 -r
}
function sync_dir {
echo "sincronizing $1"
rsync -az $1 $2;
}
##################################################################################
cd $1
edir=0
isnumber_regex='^[0-9]+$'
for file in *; do
if [[ $file =~ $isnumber_regex ]] && [ -d $... | true |
a96da4b040998b852bd5d42fc7adefd5522a49c5 | Shell | morrowdigital/DetoxRecorder | /release.sh | UTF-8 | 1,887 | 3.6875 | 4 | [
"MIT"
] | permissive | #!/bin/zsh -e
# Assumes gh is installed and logged in
SCRIPTPATH="$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"
BRANCH=$(git rev-parse --abbrev-ref HEAD)
if [ ! "$BRANCH" = "master" ]; then
printf >&2 "\033[1;31mNot on master branch, abording\033[0m"
exit 255
fi
if [[ -n $(git status --porcelain) ]]; then... | true |
16545ce313af3250063d1b52b92c2ad52f9e4123 | Shell | RaySajuuk/GoAgentX | /Resources/ssh/echo.sh | UTF-8 | 161 | 3.25 | 3 | [
"GPL-2.0-only",
"BSD-2-Clause"
] | permissive | #!/bin/bash
prompt=$1
check_yesno=${prompt/yes\/no/}
(( len = ${#prompt} - ${#check_yesno} ))
if [ $len == 6 ]; then
echo yes
else
echo $ECHO_CONTENT
fi
| true |
2ce5d1af0ae934c297c594f8d06916c356c3a3c0 | Shell | gueyebabacar/gdi-portal-back | /bin/reinit.sh | UTF-8 | 173 | 3.265625 | 3 | [] | no_license | #!/bin/bash
echo "Lancement du reinit..."
if [ "$#" != 1 ]
then
echo "Usage: reinit.sh env"
exit
fi
BASH_DIRECTORY=`dirname $0`
sh ${BASH_DIRECTORY}/reinit_$1.sh | true |
a145c4d960b5ef9bd1c4769a5a13809cb5b441fd | Shell | kgoutsos/todo.txt-addons | /do | UTF-8 | 153 | 2.671875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
[ "$1" = "usage" ] && exit 0
shift
TASK=$(sed "$1!d" "$TODO_FILE")
"$TODO_SH" command do "$@"
python "$TODO_ACTIONS_DIR"/recur.py "$TASK"
| true |
2ba24cad63d15370da80ef80b02455698baa8d1a | Shell | Sjors/libwally-swift | /build-libwally.sh | UTF-8 | 3,370 | 3.828125 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env sh
set -e # abort if any command fails
export PATH=$PATH:/opt/homebrew/bin/
export PYTHON="/usr/bin/python3"
cd CLibWally/libwally-core
# Switch to vanilla libsecp256k1, rather than the more experimental libsecp256k1-zkp.
# Since libsecp256k1-zkp is rebased on vanilla libsecp256k1, we can simply check... | true |
5d16b5d2cfb73430a6ab3bd23373d0ca9da1654e | Shell | GGain/linux_study | /update.sh | UTF-8 | 688 | 3.296875 | 3 | [] | no_license | #! /bin/sh
#set path to folder store source code
export SRC_PATH=/home/public/Desktop/linux_bsp
export SUB_PATH=${SRC_PATH}/${bsp_type}
echo "Download src for ${bsp_type}!"
echo "Go to ${SRC_PATH}"
cd ${SRC_PATH}
if [ ! -d ${bsp_type} ]; then
mkdir ${bsp_type}
#git clone http://sw-stash.freescale.net/scm/al... | true |
1f8bd2115c1cf2b2b0e79e0c1347f895ff7ed76a | Shell | lunarcity7/frontier | /daemon.sh | UTF-8 | 2,893 | 3.828125 | 4 | [] | no_license | #!/bin/sh
set -ueo pipefail
config()
{
json="$1"
ip=`echo "$json" | jq -r '.ip'`
port=`echo "$json" | jq -r '.port'`
domains=`echo "$json" | jq -r '.domains'`
if [ "$ip" = "null" ]; then
echo "ERROR: duplicate domain specified for $domains" 1>&2
return
fi
if echo "$json" | jq -er '.tags' > /dev/null; the... | true |
81c4c6128929c25b844e0006fc9975780612db98 | Shell | OpenModelica/OMLibraries | /check-latest.sh | UTF-8 | 888 | 3.421875 | 3 | [] | no_license | #!/bin/bash
SVNOPTS="--non-interactive --username anonymous"
ROOT=`svn info $SVNOPTS --xml "$1" | xpath -q -e '/info/entry/repository/root/text()'`
URL=`svn info $SVNOPTS --xml "$1" | xpath -q -e '/info/entry/url/text()'`
# The following is not used because it only checks the revision of the checked out version - we w... | true |
5aaf067cff9c375570766170a3d16c2cda6c97f0 | Shell | saevarom/docker-wagtail-develop | /setup.sh | UTF-8 | 1,299 | 3.359375 | 3 | [] | no_license | #!/usr/bin/env bash
# Fail if any command fails.
set -e
if [ ! -d "bakerydemo" ]; then
git clone https://github.com/wagtail/bakerydemo.git
else
echo Directory bakerydemo already exists, skipping...
fi
if [ ! -d "wagtail" ]; then
git clone https://github.com/wagtail/wagtail.git
else
echo Directory wa... | true |
59f76f2e556125ae2f5818935821515222c2c011 | Shell | rponte/qconsp2012_hibernate_efetivo | /configure_mysql-server.sh | UTF-8 | 1,703 | 3.703125 | 4 | [] | no_license | #!/bin/bash
###############################
# MySQL Server dependencies #
###############################
# The latest source code can be found at https://gist.github.com/rponte/7561856
set -e # Exit script immediately on first error.
#set -x # Print commands and their arguments as they are executed.
# Check if MyS... | true |
761d9ad3c085e60dcd0f73bda465b5b086c0e5e3 | Shell | shivansh/parallel-image-filtering | /test.sh | UTF-8 | 384 | 3.328125 | 3 | [] | no_license | #!/bin/bash
#
# This script compares the output of the convoluteizing program against the
# expected output.
i=1
while [[ $i -lt 4 ]]; do
rm -f "my_output$i"
cat "testcases/sample_input$i" | mpirun -n $1 -stdin all ./convolute > "my_output$i"
git --no-pager diff --no-index --color-words "testcases/sample_o... | true |
fca9ac61c249d1143010928dcf75c82c173d6c16 | Shell | jamsyoung/barebones-webpack-hmr-express-react | /.scripts/colors.sh | UTF-8 | 342 | 2.6875 | 3 | [] | no_license | #!/bin/bash
# shellcheck disable=SC2034
black="$(tput setaf 0)"
red="$(tput setaf 1)"
green="$(tput setaf 2)"
yellow="$(tput setaf 3)"
blue="$(tput setaf 4)"
magenta="$(tput setaf 5)"
cyan="$(tput setaf 6)"
white="$(tput setaf 7)"
grey="$(tput setaf 8)"
reset="$(tput sgr0)"
good_mark="${green}✔︎${reset}"
bad_mark="${... | true |
d96fbfc77727e1b657a6e7ccad59effd190bb1b6 | Shell | xuyinhao/lgpbenchmark | /hiveBench/bin/create/3-1 | UTF-8 | 491 | 3.203125 | 3 | [] | no_license | #!/bin/bash
#3-1 创建一个view
# 新建一个表创建成功后,导入数据到该表中,新建视图调用该表,
#查看该视图显示查询结果是否和刚刚创建的表查询显示一致
tableName="hive_view_tb_3_1"
preTableName="hive_view_base_3_1"
# pre table
preTable "${preTableName}"
${exec}cmd "create view ${tableName} as select * from $preTableName ;"
ret=`checkExistTb "${tableName}" "view"`
if [ $ret -eq 0 ];... | true |
9d590dbe4ab841eb5fcd2bfd1aef21b0339205b8 | Shell | mattrix27/moos-ivp-oyster | /.svn/pristine/9d/9d590dbe4ab841eb5fcd2bfd1aef21b0339205b8.svn-base | UTF-8 | 4,908 | 3.46875 | 3 | [] | no_license | #!/bin/bash -e
#-------------------------------------------------------
# Part 1: Check for and handle command-line arguments
#-------------------------------------------------------
TIME_WARP=1
JUST_MAKE="no"
AMT=1
GOOD_GUYS="yes"
BAD_GUYS="yes"
VTEAM1="red"
VTEAM2="blue"
for ARGI; do
if [ "${ARGI}" = "--help" -o... | true |
cade8573ec127a7bee3567c5195a4b5430c27713 | Shell | ahmedt26/CS1XA3 | /Project01/project_analyze.sh | UTF-8 | 7,531 | 3.8125 | 4 | [] | no_license | #!/bin/bash
cd ..
# Fancy script startup. It's nothing functional. Trying to make it seem more like a UI.
echo ' '
echo '====================================================='
echo ' ...Initializing GPPE... '
echo '====================================================='
echo ' '
sleep 0.5
... | true |
802829c8f248ba394fc746ff3a568b6f21bf4dfe | Shell | gurkamal/Continuous-Delivery-example | /scripts/multitail.sh | UTF-8 | 353 | 2.59375 | 3 | [] | no_license | #!/bin/sh
year=$(date +"%Y")
month=$(date +"%m")
day=$(date +"%d")
echo Tailing logs for ${year}_${month}_${day}
multitail \
-l "ssh bekkopen@node2.morisbak.net tail -1000f /server/bekkopen/logs/stderrout.${year}_${month}_${day}.log" \
-l "ssh bekkopen@node3.morisbak.net tail -1000f /server/bekkopen/logs/stderro... | true |
a86dfb1ebb34fdbebfb93edef12866273ba9ee6b | Shell | leechau926/rmrb | /rmrbd.sh | UTF-8 | 513 | 3.015625 | 3 | [] | no_license | #! /bin/bash
# date definition
def=$2
year=${def:0:4}
month=${def:4:2}
day=${def:6:2}
# clear download links file
echo "" > down.txt
# create download links and write them to file
for i in `seq -w -s ' ' 1 $1`
do
echo "http://paper.people.com.cn/rmrb/page/${year}-${month}/${day}/$i/rmrb${year}${month}${day}$i.p... | true |
af42cf6b22eb8a72e2afa8cf235527af19272f5a | Shell | rezroo/scan | /container_utils/run-cis-scan.sh | UTF-8 | 495 | 3.671875 | 4 | [] | no_license | #!/bin/sh
logfile=docker-bench-security.sh
while getopts ":l:" opt; do
case "${opt}" in
l)
logfile=${OPTARG}
;;
:)
echo "Option $opt and -$OPTARG requires an argument." >&2
exit 1
;;
\?)
#echo "Invalid option $opt and $... | true |
79e4903c279d0134f1dfddf26eb03ffd30eea271 | Shell | brendanfitz/python-airflow-portfolio-data-pipeline | /bash_scripts/airflow_setup.sh | UTF-8 | 1,017 | 3.09375 | 3 | [] | no_license | #!/bin/bash
echo $'Did you run airflow_bashrc_updates.sh and then re-source your bashrc?\nEnter "yes" or "no":'
read answer
if [ $answer == 'yes' ]
then
sudo apt-get update
sudo apt-get install build-essential
pip install \
apache-airflow[postgres,aws]==1.10.12 \
--constraint "https://raw.githubuserco... | true |
c3d9424de042e66b17c97cb7993f97aeeae36ae4 | Shell | ca-borja/lz77ppm | /bin/test-pipe.sh | UTF-8 | 242 | 2.953125 | 3 | [
"Unlicense"
] | permissive | ./lz77ppm "$1" | ./lz77ppm -d | diff "$1" -
if [ $? = 0 ]; then
echo -e "\033[1;32mOK, the decompressed file is equal to the original.\033[0m"
else
echo -e "\033[1;31mError! The decompressed file differs from the original.\033[0m"
fi
| true |
813bf5a78e8901d6f1fb1324a98398f73a84a825 | Shell | erochest/slab-blog-posts | /bin/mdpost2html.sh | UTF-8 | 143 | 2.640625 | 3 | [] | no_license | #!/bin/bash
SRC="$1"
DEST=${SRC%.md}.html
pandoc --smart -f markdown -t html5 $SRC | ./bin/fix_code.py > $DEST
cat $DEST | pbcopy
open $DEST
| true |
fc44a01d3d0dbb4d6e37fc465bce815ddeb0ccc3 | Shell | Arin-Er/Systeembeheer | /scripts/firewallscript | UTF-8 | 363 | 3.140625 | 3 | [
"LicenseRef-scancode-warranty-disclaimer"
] | no_license | #!/bin/bash
start () {
iptables-restore < /etc/iptables/regelsIPV4
ip6tables-restore < /etc/iptables/regelsIPV6
}
stop () {
iptables-save > /etc/iptables/regelsIPV4
ip6tables-save > /etc/iptables/regelsIPV6
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart)
... | true |
30fc1cba0baea01b8ceae793b65321c74b2b2894 | Shell | danielpeach/external-accounts | /build-tools/version.sh | UTF-8 | 3,031 | 4.3125 | 4 | [] | no_license | #!/bin/bash
#------------------------------------------------------------------------------------------------------------------
# Calculates the next version based on git tags and current branch.
#
# Examples:
# * Snapshot version: 0.1.0-snapshot.[uncommitted].chore.foo.bar.test.050f9cd
# * RC version: 0.1.0-rc.... | true |
0a2a14e6ea2689d74b4768aa69c0c547e029d01c | Shell | sleavitt/solr-ecs | /6.0/wrapper.sh | UTF-8 | 450 | 2.546875 | 3 | [] | no_license | #!/bin/bash
: ${PUBLIC_PORT:="80"}
: ${PUBLIC_HOST:=`wget -qO- http://169.254.169.254/latest/meta-data/hostname`}
: ${PLACEMENT:=`wget -qO- http://169.254.169.254/latest/placement/availability-zone`}
chown -R $SOLR_USER:$SOLR_USER $SOLR_HOME
cp -n /opt/solr/server/solr/solr.xml $SOLR_HOME
sudo -E -u $SOLR_USER /opt/... | true |
60c87bb3f1e18f50df72299f339d9ea6ecdb22f1 | Shell | eekes/blog-vagrant-1 | /provision/components/apache.sh | UTF-8 | 406 | 2.578125 | 3 | [] | no_license | #!/bin/bash
apt-get update
apt-get install -y apache2
# Copy the vhost config file
cp /var/www/provision/config/apache/vhosts/mytestproject.local.com.conf /etc/apache2/sites-available/mytestproject.local.com.conf
# Disable the default vhost file
a2dissite 000-default
# Enable our custom vhost file
a2ensite mytestpr... | true |
3deb62c51092ae4452f11f00e310f8e87379bf1c | Shell | taktik/ozone-components | /packages/demo/ozone-components-demo/docker/jsonpatch.sh | UTF-8 | 868 | 4 | 4 | [] | no_license | #!/usr/bin/env bash
JSON_FILES=$@
# Process all files
for JSON_FILE in $JSON_FILES; do
if [ -r $JSON_FILE ]; then
# Prepare JQ command
JQ_CMD=""
# Process all keys
KEYS=`jq -r -c 'path(..)|[.[]|tostring]|join("/")' $JSON_FILE`
for KEY in $KEYS; do
# Build environment key
ENV_KEY=${KEY^^}
ENV_KEY=... | true |
eff09dc7a37724e423dfa1af3f1ede50f1b6b354 | Shell | SerenityOS/serenity | /Ports/cfunge/package.sh | UTF-8 | 452 | 2.6875 | 3 | [
"BSD-2-Clause"
] | permissive | #!/usr/bin/env -S bash ../.port_include.sh
port='cfunge'
version='2bc4fb27ade2a816ca9a90a6d9f6958111123fa9'
useconfigure='true'
files=(
"https://github.com/VorpalBlade/cfunge/archive/${version}.zip 364994a890ed1083684956db576a2a5cfb94b3117bae868910d6a75111033f55"
)
configure() {
run cmake -B build "${configop... | true |
2267d3fb8f42e65aedf2952824981287ffc7730f | Shell | CDLUC3/merritt-docker | /bin/it_build.sh | UTF-8 | 1,436 | 3.328125 | 3 | [] | no_license | #!/usr/bin/env bash
#set -x
# get dir of this script
START_DIR=$(pwd)
SCRIPT_HOME=$(dirname $0)
DOCKER_ENV_FILE=$SCRIPT_HOME/docker_environment.sh
# source env vars
echo "Setting up docker environment"
[ -f "$DOCKER_ENV_FILE" ] && . "$DOCKER_ENV_FILE" || echo "file $DOCKER_ENV_FILE not found"
# cd into mrt-services
... | true |
11cdeb8ac023cc53e70d7a468b387d7f20b49c5a | Shell | linux-on-ibm-z/scripts | /TensorflowServing/2.2.0/build_tensorflow_serving.sh | UTF-8 | 13,015 | 3.390625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# © Copyright IBM Corporation 2020.
# LICENSE: Apache License, Version 2.0 (http://www.apache.org/licenses/LICENSE-2.0)
#
# Instructions:
# Download build script: wget https://raw.githubusercontent.com/linux-on-ibm-z/scripts/master/TensorflowServing/2.2.0/build_tensorflow_serving.sh
# Execute build script: ... | true |
6af768d8a9952ce2d7e82ede12f9061a6b8fea8d | Shell | JeDeLu/mpht | /pltd/bin/setperm | UTF-8 | 2,595 | 3.65625 | 4 | [] | no_license | #!/bin/bash
VERSION="2.2"
if [[ $1 != '' ]]; then
LOCAL_PATH="$1"
else
LOCAL_PATH=`pwd`
fi
if [[ ! -f "${LOCAL_PATH}/MPHT.sh" ]] ; then
if [[ `find / -type f -name "MPHT.sh" 2>/dev/null | grep "${VERSION}" | wc -l` -eq 1 ]] ; then
echo "[INFO] SEARCHING FOR CORRECT PATH ..."
PATH_NAME=`find / -type f ... | true |
c822dba34c66f5c276a784445b619242b73e0669 | Shell | klampworks/dotfiles | /bin/ff-tmp | UTF-8 | 280 | 3.265625 | 3 | [] | no_license | #!/bin/bash
u=tmp
if [[ ! -d "/home/${u}" ]]
then
echo "error: create user $u first"
exit 1
fi
sudo mount -t tmpfs none /home/${u}
"$(realpath "$(dirname "$0")")/share-screen-with" ${u}
sudo -u tmp XAUTHORITY=/home/${u}/.Xauthority firefox --no-remote
sudo umount /home/${u}
| true |
df270a1e136b489c820245ebd12f7396574c5a3a | Shell | boklm/mageia-puppet | /modules/mirror/templates/mirrordir | UTF-8 | 379 | 3.109375 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
remoteurl="<%= remoteurl%>"
localdir="<%= localdir %>"
rsync_options="<%= rsync_options %>"
lockfile="<%= lockfile %>"
if [ -f "$lockfile" ]; then
# show error message when run from command line
[ -t 1 ] && cat $lockfile
exit
fi
echo "sync in progress since $(date)" > "$lockfile"
/usr/bin/rsync ... | true |
2428159ca3e0d1ecc3a4d4b2e534bc01c6f0e516 | Shell | krysopath/herbstluft-config | /cpu | UTF-8 | 475 | 3.578125 | 4 | [] | no_license | #!/bin/bash
map_stdin() {
local FUNCTION=$1
while read LINE; do
$FUNCTION $LINE
done
}
div_1000() {
echo "scale=2; $1/1000" | bc -l
}
get_cpu_temperature() {
temp=$( sensors | grep Core | cut -d " " -f 10 | xargs )
#temp=`expr $temp / 1000`
echo $temp
}
get_cpu_mhz() {
mhz=$( cat /proc... | true |
6b5dd0eae722ac47155ec19570d449ea312384ab | Shell | infamousjoeg/openshift-conjur-deploy | /0_check_dependencies.sh | UTF-8 | 1,154 | 3.5 | 4 | [] | no_license | #!/bin/bash
set -eo pipefail
. utils.sh
# Confirm logged into OpenShift.
if ! oc whoami 2 > /dev/null; then
echo "You must login to OpenShift before running this demo."
exit 1
fi
# Confirm Conjur project name is configured.
if [ "$CONJUR_PROJECT_NAME" = "" ]; then
echo "You must set CONJUR_PROJECT_NAME before ... | true |
01ee4f6307325997c3e9050f0a8d98414f2164ab | Shell | shang-demo/headless-chrome | /config/script-tools/push-git.sh | UTF-8 | 1,454 | 3.796875 | 4 | [] | no_license | #!/usr/bin/env bash
scriptDir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
projectDir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && cd ../.. && pwd )"
# 载入依赖
cd ${scriptDir}
source constants.sh
source util.sh
source build.sh
function resetDir() {
cd ${projectDir}
}
function checkDependencies() {
_checkDepe... | true |
2901179b3c375548b2780ad013d6d7103096cfc1 | Shell | anoopcs/kaldi | /egs/yesno/s5/local/prepare_data.sh | UTF-8 | 2,167 | 3.4375 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-public-domain"
] | permissive | #!/bin/bash
mkdir -p data/local
local=`pwd`/local
scripts=`pwd`/scripts
export PATH=$PATH:`pwd`/../../../tools/irstlm/bin
echo "Preparing train and test data"
train_base_name=train_yesno
test_base_name=test_yesno
waves_dir=$1 #$1=waves_yesno
ls -1 $waves_dir > data/local/waves_all.list
cd data/local
#Split the f... | true |
7bf13862b07cf90f22257653f2af2b20c88de2a1 | Shell | ilovedanzi521/deploy-center | /repo/shell.sh | UTF-8 | 179 | 3.6875 | 4 | [] | no_license | #!/bin/sh
execute() {
cmdStr=$@
result=`${cmdStr} 2>/dev/null`
code=$?
echo $result
if [ $code -eq 0 ];then
echo "OK"
fi
}
case $1 in
*)
execute $@
;;
esac
| true |
3e6fa5c9259d3dd752596f1f9df471f813ecee56 | Shell | roowe/hongkongresort-el-ebin | /sh/node_config_example/common_env | UTF-8 | 687 | 3.15625 | 3 | [] | no_license | # -*- mode: sh -*-
#!/bin/sh
# not support link, please use real file path
SCRIPT_DIR=$(cd ${0%/*} && pwd) # 执行脚本所在目录
SCRIPT_NAME=${0##*/} # 可以用来做工具的节点名
SERVER_HOME=${SCRIPT_DIR%/*/*} # 项目的根目录
IPs=(`ip addr |sed -n 's/.*inet \([0-9\.]\+\).*/\1/p'`)
IP=127.0.0.1
for var in ${IPs[@]};do
case $var in
'192.168... | true |
d108e4c09d561e592bb38adcf737907b4a4b08ba | Shell | phouverneyuff/jhipster-docker | /docker-download-update-setup.sh | UTF-8 | 2,109 | 3.59375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
echo "Efetuando o download do docker do JHipster ..."
sudo docker pull jdubois/jhipster-docker:latest
echo "Efetuando o download do docker do MySQL ..."
sudo docker pull mysql/mysql-server:latest
MYSQL_DATABASE=pedido
MYSQL_ROOT_PASSWORD=rootpwd
MYSQL_USER=pedido
MYSQL_PASSWORD=pedidopwd
MYSQL_VAR=mysql... | true |
e9bd78d797e3fd0c972fe1ab972172f7e66c35d8 | Shell | VMinute/ELL | /tools/utilities/profile/make_profiler.sh.in | UTF-8 | 1,770 | 3.734375 | 4 | [
"LicenseRef-scancode-unknown-license-reference",
"MIT"
] | permissive | #!/bin/sh
# A script that creates a compiled profiler in a subdirectory:
# - create subdirectory (w/name of model)
# - run compile on model and save model .h and .o to subdirectory
# - copy c++ and cmake files to subdirectory
# Usage: make_profiler.sh model_file [output_directory] <compile options>
set -x
pu... | true |
9eafcc7141ec9ea8baf60f8066bff36a7b080b6e | Shell | tjwudi/usaco-solutions | /barn1/test.sh | UTF-8 | 160 | 2.765625 | 3 | [] | no_license | PROGNAME="barn1"
for i in {1..2}
do
cp "${PROGNAME}.in${i}" "${PROGNAME}.in"
./main
diff "${PROGNAME}.out" "${PROGNAME}.out${i}"
echo "Test $i OK"
done
| true |
e93e34cd855ddd086728cf7c3e3e0214ec9b0fd5 | Shell | cx1964/cx1964ReposOTCSRestAPIs | /01_create_git_remote_repos.sh | UTF-8 | 3,233 | 3.765625 | 4 | [] | no_license | #!/bin/bash
# Filenaam: 01_create_git_remote_repos.sh
# Functie: create centrale remote git repository van de commandline
# Opmerking: nieuwe style mbv GitHub API Token
# Referentie: https://medium.com/better-programming/create-github-repos-remotely-25153a6e6890
## Instelling github Repository naam ##
NEW_REPO_NAME='... | true |
8f28b6d0da0f76982cf29bd56826ecd342896f2c | Shell | vicentebolea/velox-report | /velox-exp | UTF-8 | 755 | 3.40625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
HELP="
velox-exp: Velox Utility to run and record experiments using Velox and Hadoop
USAGE: velox-exp <ACTION> [ARGS]
ACTIONS:
run workload1 workload2..., run and log the workloads
log [N], log last N experiments
drylog, log last N experiments
h... | true |
50b289d10b529b3a8f4d88c11640021e50e27ca6 | Shell | randomowo/dotfiles | /linux/bin/bash/calc | UTF-8 | 148 | 2.640625 | 3 | [] | no_license | #!/bin/bash
read -p "obase: " obase
read -p "ibase: " ibase
read -p "numbers: " num
echo -n "$num = "
echo "obase=$obase; ibase=$ibase; $num" | bc
| true |
4645d1d4d8f9565ecac12bf1e81c3f057127fc8f | Shell | wotsrovert/dotfiles | /zsh/prompt.zsh | UTF-8 | 1,630 | 3.71875 | 4 | [] | no_license | autoload colors && colors
is_git_repo() {
[[ -d .git ]] || git rev-parse --git-dir > /dev/null 2>&1
}
git_prompt() {
if is_git_repo; then
# in a git repo!
echo "$(git_dirty)$(need_push)"
else
# not in a git repo :(
echo ""
fi
}
git_branch() {
echo "$(git symbolic-ref HEAD 2>/dev/null | awk ... | true |
e899a5e91a2538ec36d3989e9a67d55766597d7b | Shell | BrunoFroger/multiTerm | /fichiers_config_reference/init_config_files.bash | UTF-8 | 548 | 2.890625 | 3 | [] | no_license | #!/bin/bash
# copie des fichiers de configurations dans les bons repertoires
HOME_DIR=/Users/obfe6300
SOURCE_DIR=${HOME_DIR}/devBruno/multiTerm/fichiers_config_reference
DEST_DIR_CFG=${HOME_DIR}/devBruno/multiTerm/multiTerm/build-multiTerm-Desktop_Qt_6_0_1_clang_64bit-Debug/multiTerm.app/Contents/MacOS
DEST_DIR_CNX=$... | true |
14f84e0d60eceac0a127a301ad549c11023611cd | Shell | OpenUpSA/khetha-deploy | /deploy-target.sh | UTF-8 | 1,541 | 3.765625 | 4 | [] | no_license | #!/bin/sh -e
cd "$(dirname "$0")"
USAGE="
Usage: deploy-target NAME DOCKER_HOST [SOURCE_BUILD]
Deploy khetha-django as NAME to DOCKER_HOST.
NAME (example: 'staging')
The name to use for the deployment instance.
DOCKER_HOST (example: 'ssh://user@host')
A valid DOCKER_HOST to deploy to.
SOURCE_BUILD (opti... | true |
5bbccc5557dd6e2e57257599d6834a95e66891d2 | Shell | ratmir-kulakov/daripodelu | /console/scripts/update-stock-info.sh | UTF-8 | 647 | 2.921875 | 3 | [] | no_license | #!/bin/bash
# SCRIPT_PATH=`pwd`/`dirname "$0"`
SCRIPT_PATH="$HOME/xn--80ahbenushh0b.xn--p1ai/docs/console/scripts"
ROOT_PATH="$SCRIPT_PATH/../.."
source "$SCRIPT_PATH/lib.sh"
src_folder="$ROOT_PATH/downloads/current"
dst_folder="$ROOT_PATH/downloads/archive"
create_archive "$src_folder" "$dst_folder";
if [ "$(ls -A... | true |
d423e5ba1fa605ca2afbde28307c72b4e2884732 | Shell | tjhei/dealii-vm | /postinstall/visit.sh | UTF-8 | 273 | 2.6875 | 3 | [] | no_license | #!/bin/bash
echo "installing visit..."
cd ~/bin
rm -rf visit*
wget -q "http://portal.nersc.gov/svn/visit/trunk/releases/2.8.2/visit2_8_2.linux-x86_64-ubuntu11.tar.gz"
tar xf visit2_8_2.linux-x86_64-ubuntu11.tar.gz
rm visit2_8_2.linux-x86_64-ubuntu11.tar.gz
echo "done."
| true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.